> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superdocs.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll Session Updates

> Long-poll for real-time job updates on a session (B2B organizations only).

Returns immediately if there are recent job updates, or holds the connection
open up to the specified timeout. Use the 'since' parameter to avoid receiving
duplicate updates.



## OpenAPI

````yaml /openapi.json get /v1/poll/{session_id}
openapi: 3.1.0
info:
  title: Universal Document AI API
  description: AI-powered document editing with multi-tenant organization support
  version: 2.0.0
servers: []
security: []
paths:
  /v1/poll/{session_id}:
    get:
      tags:
        - v1
        - sessions
      summary: Poll Session Updates
      description: >-
        Long-poll for real-time job updates on a session (B2B organizations
        only).


        Returns immediately if there are recent job updates, or holds the
        connection

        open up to the specified timeout. Use the 'since' parameter to avoid
        receiving

        duplicate updates.
      operationId: poll_session_updates_v1_poll__session_id__get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: ISO 8601 timestamp — only return updates after this time
            title: Since
          description: ISO 8601 timestamp — only return updates after this time
        - name: timeout
          in: query
          required: false
          schema:
            type: integer
            description: Long polling timeout in seconds (max 1800 = 30 minutes)
            default: 1800
            title: Timeout
          description: Long polling timeout in seconds (max 1800 = 30 minutes)
        - name: authorization
          in: header
          required: true
          schema:
            type: string
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````